Package htsjdk.samtools.util

# Class BlockCompressedStreamConstants

java.lang.Object
htsjdk.samtools.util.BlockCompressedStreamConstants

public class BlockCompressedStreamConstants extends Object
Constants shared by BlockCompressed{Input,Output}Stream classes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`BGZF_ID1`
`static final byte`
`BGZF_ID2`
`static final byte`
`BGZF_LEN`
`static final int`
`BLOCK_FOOTER_LENGTH`
`static final int`
`BLOCK_HEADER_LENGTH`
`static final int`
`BLOCK_LENGTH_OFFSET`
`static final int`
`DEFAULT_COMPRESSION_LEVEL`
`static final int`
`DEFAULT_UNCOMPRESSED_BLOCK_SIZE`
`static final byte[]`
`EMPTY_GZIP_BLOCK`
`static final byte[]`
`GZIP_BLOCK_PREAMBLE`
`static final byte`
`GZIP_CM_DEFLATE`
`static final int`
`GZIP_FLG`
`static final byte`
`GZIP_ID1`
`static final int`
`GZIP_ID2`
`static final int`
`GZIP_OS_UNKNOWN`
`static final int`
`GZIP_OVERHEAD`
`static final int`
`GZIP_XFL`
`static final short`
`GZIP_XLEN`
`static final int`
`MAX_COMPRESSED_BLOCK_SIZE`
`static final int`
`NO_COMPRESSION_OVERHEAD`

## Constructor Summary

Constructors
Constructor
Description
`BlockCompressedStreamConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOCK_HEADER_LENGTH

public static final int BLOCK_HEADER_LENGTH

See Also:
  - Constant Field Values

### BLOCK_LENGTH_OFFSET

public static final int BLOCK_LENGTH_OFFSET

See Also:
  - Constant Field Values

### BLOCK_FOOTER_LENGTH

public static final int BLOCK_FOOTER_LENGTH

See Also:
  - Constant Field Values

### MAX_COMPRESSED_BLOCK_SIZE

public static final int MAX_COMPRESSED_BLOCK_SIZE

See Also:
  - Constant Field Values

### GZIP_OVERHEAD

public static final int GZIP_OVERHEAD

See Also:
  - Constant Field Values

### NO_COMPRESSION_OVERHEAD

public static final int NO_COMPRESSION_OVERHEAD

See Also:
  - Constant Field Values

### DEFAULT_UNCOMPRESSED_BLOCK_SIZE

public static final int DEFAULT_UNCOMPRESSED_BLOCK_SIZE

See Also:
  - Constant Field Values

### GZIP_ID1

public static final byte GZIP_ID1

See Also:
  - Constant Field Values

### GZIP_ID2

public static final int GZIP_ID2

See Also:
  - Constant Field Values

### GZIP_FLG

public static final int GZIP_FLG

See Also:
  - Constant Field Values

### GZIP_XFL

public static final int GZIP_XFL

See Also:
  - Constant Field Values

### GZIP_XLEN

public static final short GZIP_XLEN

See Also:
  - Constant Field Values

### GZIP_CM_DEFLATE

public static final byte GZIP_CM_DEFLATE

See Also:
  - Constant Field Values

### DEFAULT_COMPRESSION_LEVEL

public static final int DEFAULT_COMPRESSION_LEVEL

### GZIP_OS_UNKNOWN

public static final int GZIP_OS_UNKNOWN

See Also:
  - Constant Field Values

### BGZF_ID1

public static final byte BGZF_ID1

See Also:
  - Constant Field Values

### BGZF_ID2

public static final byte BGZF_ID2

See Also:
  - Constant Field Values

### BGZF_LEN

public static final byte BGZF_LEN

See Also:
  - Constant Field Values

### EMPTY_GZIP_BLOCK

public static final byte[] EMPTY_GZIP_BLOCK

### GZIP_BLOCK_PREAMBLE

public static final byte[] GZIP_BLOCK_PREAMBLE

## Constructor Details

### BlockCompressedStreamConstants

public BlockCompressedStreamConstants()